complexType "MandatoryEarlyTerminationAdjustedDates"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | adjustedEarlyTerminationDate?, adjustedCashSettlementValuationDate?, adjustedCashSettlementPaymentDate?
</...>

Content Model Elements (3):

  adjustedCashSettlementPaymentDate (in mandatoryEarlyTerminationAdjustedDates),
  adjustedCashSettlementValuationDate (in mandatoryEarlyTerminationAdjustedDates),
  adjustedEarlyTerminationDate

All Direct / Indirect Based Elements (1):

  mandatoryEarlyTerminationAdjustedDates

Known Usage Locations

- As direct type of elements (1):
  mandatoryEarlyTerminationAdjustedDates

Annotation
A type defining the adjusted dates associated with a mandatory early termination provision.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="MandatoryEarlyTerminationAdjustedDates"> <xsd:sequence> <xsd:element minOccurs="0" name="adjustedEarlyTerminationDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedCashSettlementValuationDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedCashSettlementPaymentDate" type="xsd:date"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
adjustedCashSettlementPaymentDate

  Type: | xsd:date, predefined, simple content

  The date on which the cash settlement amount is paid. This date should already be adjusted for any applicable business dat convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedCashSettlementPaymentDate" type="xsd:date"/>

adjustedCashSettlementValuationDate

  Type: | xsd:date, predefined, simple content

  The date by which the cash settlement amount must be agreed. This date should already be adjusted for any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedCashSettlementValuationDate" type="xsd:date"/>

adjustedEarlyTerminationDate

  Type: | xsd:date, predefined, simple content

  The early termination date that is applicable if an early termination provision is exercised. This date should already be adjusted for any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedEarlyTerminationDate" type="xsd:date"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.